Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QFile.Permission

    java.lang.Object
      java.lang.Enum<QFile.Permission>
          com.trolltech.qt.core.QFile.Permission

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFile.Permission>

Enclosing class:
  QFile

    public static enum QFile.Permission

extends java.lang.Enum<QFile.Permission>
implements QtEnumerator

This enum is used by the permission() function to report the permissions and ownership of a file. The values may be OR-ed together to test multiple permissions and ownership values.

Warning: Because of differences in the platforms supported by Qt, the semantics of `ReadUser`, `WriteUser` and `ExeUser` are platform-dependent: On Unix, the rights of the owner of the file are returned and on Windows the rights of the current user are returned. This behavior might change in a future Qt version.

Enum Constant Summary
`ExeGroup` The file is executable by the group.
`ExeOther` The file is executable by anyone.
`ExeOwner` The file is executable by the owner of the file.
`ExeUser` The file is executable by the user.
`ReadGroup` The file is readable by the group.
`ReadOther` The file is readable by anyone.
`ReadOwner` The file is readable by the owner of the file.
`ReadUser` The file is readable by the user.
`WriteGroup` The file is writable by the group.
`WriteOther` The file is writable by anyone.
`WriteOwner` The file is writable by the owner of the file.
`WriteUser` The file is writable by the user.

Method Summary
`static QFile.Permissions` | `createQFlags(QFile.Permission... values)`
`static QFile.Permission` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFile.Permission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFile.Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ReadOwner

    public static final QFile.Permission ReadOwner

  The file is readable by the owner of the file.

### WriteOwner

    public static final QFile.Permission WriteOwner

  The file is writable by the owner of the file.

### ExeOwner

    public static final QFile.Permission ExeOwner

  The file is executable by the owner of the file.

### ReadUser

    public static final QFile.Permission ReadUser

  The file is readable by the user.

### WriteUser

    public static final QFile.Permission WriteUser

  The file is writable by the user.

### ExeUser

    public static final QFile.Permission ExeUser

  The file is executable by the user.

### ReadGroup

    public static final QFile.Permission ReadGroup

  The file is readable by the group.

### WriteGroup

    public static final QFile.Permission WriteGroup

  The file is writable by the group.

### ExeGroup

    public static final QFile.Permission ExeGroup

  The file is executable by the group.

### ReadOther

    public static final QFile.Permission ReadOther

  The file is readable by anyone.

### WriteOther

    public static final QFile.Permission WriteOther

  The file is writable by anyone.

### ExeOther

    public static final QFile.Permission ExeOther

  The file is executable by anyone.

Method Detail

### values

    public static final QFile.Permission[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFile.Permission c : QFile.Permission.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFile.Permission valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFile.Permissions createQFlags(QFile.Permission... values)

### resolve

    public static QFile.Permission resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD